aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rw-r--r--test/ChangeLog11
-rw-r--r--test/Makefile.am6
-rw-r--r--test/Makefile.in10
-rw-r--r--test/Maketests5
-rw-r--r--test/filefuncs.awk2
5 files changed, 20 insertions, 14 deletions
diff --git a/test/ChangeLog b/test/ChangeLog
index cfe2e9b6..c40b803a 100644
--- a/test/ChangeLog
+++ b/test/ChangeLog
@@ -1,7 +1,12 @@
-2014-09-13 Stephen Davies <sdavies@sdc.com.au>
+2014-09-18 Arnold D. Robbins <arnold@skeeve.com>
- * Makefile.am (profile4, profile5): Changes processing to not delete the
- first two lines. This is no longer needed.
+ * filefuncs.awk: Change to build directory instead of "..".
+ * Makefile.am (filefuncs): Pass in $(abs_top_builddir).
+
+2014-09-13 Stephen Davies <sdavies@sdc.com.au>
+
+ * Makefile.am (profile4, profile5): Changes processing to not delete
+ the first two lines. This is no longer needed.
* profile4.ok, profile5.ok: Changed to suit new rules and comments.
2014-09-10 Arnold D. Robbins <arnold@skeeve.com>
diff --git a/test/Makefile.am b/test/Makefile.am
index 3b53ea9f..0d3788a1 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -1970,6 +1970,12 @@ printhuge::
AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+filefuncs:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f $@.awk -v builddir="$(abs_top_builddir)" >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
+
# Targets generated for other tests:
include Maketests
diff --git a/test/Makefile.in b/test/Makefile.in
index 4cd850f5..12a73c15 100644
--- a/test/Makefile.in
+++ b/test/Makefile.in
@@ -2392,6 +2392,11 @@ printhuge::
@[ -z "$$GAWKLOCALE" ] && GAWKLOCALE=en_US.UTF-8; \
AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
+filefuncs:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f $@.awk -v builddir="$(abs_top_builddir)" >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
Gt-dummy:
# file Maketests, generated from Makefile.am by the Gentests program
addcomma:
@@ -3705,11 +3710,6 @@ fnmatch:
@AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-filefuncs:
- @echo $@
- @AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
- @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-
fork:
@echo $@
@AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
diff --git a/test/Maketests b/test/Maketests
index 5c34af9e..f8d5e8a9 100644
--- a/test/Maketests
+++ b/test/Maketests
@@ -1311,11 +1311,6 @@ fnmatch:
@AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-filefuncs:
- @echo $@
- @AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
- @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
-
fork:
@echo $@
@AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
diff --git a/test/filefuncs.awk b/test/filefuncs.awk
index 4bbfcb55..7aa5ae6a 100644
--- a/test/filefuncs.awk
+++ b/test/filefuncs.awk
@@ -1,7 +1,7 @@
@load "filefuncs"
BEGIN {
- if (chdir("..") < 0) {
+ if (chdir(builddir) < 0) {
printf "Error: chdir failed with ERRNO %s\n", ERRNO
exit 1
}